function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Entity, JoinColumn, Column, ManyToOne, PrimaryColumn, Index } from "typeorm";
import { Note } from "./note.js";
import { id } from "../id.js";
export let NoteEdit = class NoteEdit {
    id;
    noteId;
    note;
    text;
    cw;
    fileIds;
    updatedAt;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], NoteEdit.prototype, "id", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id(),
        comment: "The ID of note."
    }),
    _ts_metadata("design:type", Object)
], NoteEdit.prototype, "noteId", void 0);
_ts_decorate([
    ManyToOne((type)=>Note, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], NoteEdit.prototype, "note", void 0);
_ts_decorate([
    Column("text", {
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], NoteEdit.prototype, "text", void 0);
_ts_decorate([
    Column("varchar", {
        length: 512,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], NoteEdit.prototype, "cw", void 0);
_ts_decorate([
    Column({
        ...id(),
        array: true,
        default: "{}"
    }),
    _ts_metadata("design:type", Array)
], NoteEdit.prototype, "fileIds", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The updated date of the Note."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], NoteEdit.prototype, "updatedAt", void 0);
NoteEdit = _ts_decorate([
    Entity()
], NoteEdit);
